Subject: bug#34331: 27.0.50; Undo too granular after C-y M-y M-y ...

From: Andreas Schwab <[email-masked]>
Date: Tue, 05 Feb 2019 18:11:37 +0100

On Feb 05 2019, Eli Zaretskii <[email-masked]> wrote:

>> From: Andreas Schwab <[email-masked]>
>> Date: Tue, 05 Feb 2019 15:22:04 +0100
>> Cc: [email-masked]
>> 
>> On Feb 05 2019, "N. Jackson" <[email-masked]> wrote:
>> 
>> > After pasting with C-y M-y M-y M-y ... , undo should (I think) undo the
>> > paste.
>> 
>> I disagree.  That would make it awkward to undo if you typed one M-y too
>> much.  To remove the whole paste you can also use C-w.
>
> I agree.  Both use cases are valid, so if we change something, we
> should do it in a way that doesn't close the door for any of them.

Actually, you *can* already easily undo a M-y by typing M-- M-y, thus I
retract my objection.

Andreas.

-- 
Andreas Schwab, SUSE Labs, [email-masked]
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."